<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddVpnProfileReq StructType
 * @subpackage Structs
 */
class AddVpnProfileReq extends APIRequest
{
    /**
     * The vpnProfile
     * @var XVpnProfile
     */
    public $vpnProfile;
    /**
     * Constructor method for AddVpnProfileReq
     * @uses AddVpnProfileReq::setVpnProfile()
     * @param XVpnProfile $vpnProfile
     */
    public function __construct(XVpnProfile $vpnProfile = null)
    {
        $this
            ->setVpnProfile($vpnProfile);
    }
    /**
     * Get vpnProfile value
     * @return XVpnProfile|null
     */
    public function getVpnProfile()
    {
        return $this->vpnProfile;
    }
    /**
     * Set vpnProfile value
     * @param XVpnProfile $vpnProfile
     * @return AddVpnProfileReq
     */
    public function setVpnProfile(XVpnProfile $vpnProfile = null)
    {
        $this->vpnProfile = $vpnProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddVpnProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
